Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.PDF3DAdvancedSetting Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | PDF3DAdvancedSetting ()
| Constructor. More...
def | Set (background_color, lighting_scheme, rendering_style, animation_style, default_views, is_add_default_views, is_retain_views_and_comments, is_show_tool_bar, is_open_model_tree, script_file_path)
| Set the values. More...

## Static Public Attributes
| animation_style = _fsdk.PDF3DAdvancedSetting_animation_style
| The activation animation style setting for 3D. Please refer to values starting from FoxitPDFSDKPython3.PDF3DAdvancedSetting.e_3DAnimationStyleNone and this should be one of these values.
| background_color = _fsdk.PDF3DAdvancedSetting_background_color
| The background color.Default value: 0x5e5e5e.
| default_views = _fsdk.PDF3DAdvancedSetting_default_views
| The default views setting for 3D. Please refer to values starting from FoxitPDFSDKPython3.PDF3DAdvancedSetting.e_3DDefaultViewsNoViews and this should be one of these values.
| e_3DAnimationStyleBounce = _fsdk.PDF3DAdvancedSetting_e_3DAnimationStyleBounce
| Bounce.
| e_3DAnimationStyleLoop = _fsdk.PDF3DAdvancedSetting_e_3DAnimationStyleLoop
| Loop.
| e_3DAnimationStyleNone = _fsdk.PDF3DAdvancedSetting_e_3DAnimationStyleNone
| None.
| e_3DDefaultViewsFromFile = _fsdk.PDF3DAdvancedSetting_e_3DDefaultViewsFromFile
| Views from file.
| e_3DDefaultViewsLeftTopFrontIsoAllOrtho = _fsdk.PDF3DAdvancedSetting_e_3DDefaultViewsLeftTopFrontIsoAllOrtho
| Left,top,front,Iso(all ortho).
| e_3DDefaultViewsLeftTopFrontIsoAllPerspective = _fsdk.PDF3DAdvancedSetting_e_3DDefaultViewsLeftTopFrontIsoAllPerspective
| Left,top,front,Iso(all perspective).
| e_3DDefaultViewsLeftTopFrontOrthoIsoPerspective = _fsdk.PDF3DAdvancedSetting_e_3DDefaultViewsLeftTopFrontOrthoIsoPerspective
| Left,top,front,(ortho)Iso(perspective).
| e_3DDefaultViewsLeftTopFrontPerspectiveIsoOrtho = _fsdk.PDF3DAdvancedSetting_e_3DDefaultViewsLeftTopFrontPerspectiveIsoOrtho
| Left,top,front,(perspective)Iso(ortho).
| e_3DDefaultViewsLeftTopFrontRightBottomBackAllOrtho = _fsdk.PDF3DAdvancedSetting_e_3DDefaultViewsLeftTopFrontRightBottomBackAllOrtho
| Left,top,right,front,bottom,back(all ortho).
| e_3DDefaultViewsNoViews = _fsdk.PDF3DAdvancedSetting_e_3DDefaultViewsNoViews
| No views.
| e_3DLightingSchemeBlueLights = _fsdk.PDF3DAdvancedSetting_e_3DLightingSchemeBlueLights
| Blue lights.
| e_3DLightingSchemeCADLights = _fsdk.PDF3DAdvancedSetting_e_3DLightingSchemeCADLights
| CAD lights.
| e_3DLightingSchemeCubeLights = _fsdk.PDF3DAdvancedSetting_e_3DLightingSchemeCubeLights
| Cube lights.
| e_3DLightingSchemeDayLights = _fsdk.PDF3DAdvancedSetting_e_3DLightingSchemeDayLights
| Day lights.
| e_3DLightingSchemeFromFile = _fsdk.PDF3DAdvancedSetting_e_3DLightingSchemeFromFile
| From file.
| e_3DLightingSchemeHardLights = _fsdk.PDF3DAdvancedSetting_e_3DLightingSchemeHardLights
| Hard lights.
| e_3DLightingSchemeHeadlamp = _fsdk.PDF3DAdvancedSetting_e_3DLightingSchemeHeadlamp
| Headlamp.
| e_3DLightingSchemeNightLights = _fsdk.PDF3DAdvancedSetting_e_3DLightingSchemeNightLights
| Night lights.
| e_3DLightingSchemeNoLights = _fsdk.PDF3DAdvancedSetting_e_3DLightingSchemeNoLights
| No lights.
| e_3DLightingSchemeNone = _fsdk.PDF3DAdvancedSetting_e_3DLightingSchemeNone
| None.
| e_3DLightingSchemePrimaryLights = _fsdk.PDF3DAdvancedSetting_e_3DLightingSchemePrimaryLights
| Primary lights.
| e_3DLightingSchemeRedLights = _fsdk.PDF3DAdvancedSetting_e_3DLightingSchemeRedLights
| Red lights.
| e_3DLightingSchemeWhiteLights = _fsdk.PDF3DAdvancedSetting_e_3DLightingSchemeWhiteLights
| White lights.
| e_3DRenderingStyleBoundingBox = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleBoundingBox
| Bounding box.
| e_3DRenderingStyleHiddenWireframe = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleHiddenWireframe
| Hidden wireframe.
| e_3DRenderingStyleIllustration = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleIllustration
| Illustration.
| e_3DRenderingStyleNone = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleNone
| None.
| e_3DRenderingStyleShadedIllustration = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleShadedIllustration
| Shaded illustration.
| e_3DRenderingStyleShadedVertices = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleShadedVertices
| Shaded vertices.
| e_3DRenderingStyleShadedWireframe = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleShadedWireframe
| Shaded wireframe.
| e_3DRenderingStyleSolid = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleSolid
| Solid.
| e_3DRenderingStyleSolidOutline = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleSolidOutline
| Solid outline.
| e_3DRenderingStyleSolidWireframe = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleSolidWireframe
| Solid wireframe.
| e_3DRenderingStyleTransparent = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleTransparent
| Transparent.
| e_3DRenderingStyleTransparentBoundingBox = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleTransparentBoundingBox
| Transparent bounding box.
| e_3DRenderingStyleTransparentBoundingBoxOutline = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleTransparentBoundingBoxOutline
| Transparent bounding box outline.
| e_3DRenderingStyleTransparentWireframe = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleTransparentWireframe
| Transparent wireframe.
| e_3DRenderingStyleVertices = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleVertices
| Vertices.
| e_3DRenderingStyleWireframe = _fsdk.PDF3DAdvancedSetting_e_3DRenderingStyleWireframe
| Wireframe.
| is_add_default_views = _fsdk.PDF3DAdvancedSetting_is_add_default_views
| This flag indicates whether to add default views. true means to add, while false means not. Default value is false.
| is_open_model_tree = _fsdk.PDF3DAdvancedSetting_is_open_model_tree
| This flag indicates whether to open model tree. true means to open, while false means not. Default value is false.
| is_retain_views_and_comments = _fsdk.PDF3DAdvancedSetting_is_retain_views_and_comments
| This flag indicates whether to retain views and comments. true means to retain, while false means not. Default value is false.
| is_show_tool_bar = _fsdk.PDF3DAdvancedSetting_is_show_tool_bar
| This flag indicates whether to show tool bar. true means to show, while false means not. Default value is false.
| lighting_scheme = _fsdk.PDF3DAdvancedSetting_lighting_scheme
| The lighting scheme setting for 3D. Please refer to values starting from FoxitPDFSDKPython3.PDF3DAdvancedSetting.e_3DLightingSchemeNone and this should be one of these values.
| rendering_style = _fsdk.PDF3DAdvancedSetting_rendering_style
| The activation rendering style setting for 3D. Please refer to values starting from FoxitPDFSDKPython3.PDF3DAdvancedSetting.e_3DRenderingStyleBoundingBox and this should be one of these values.
| script_file_path = _fsdk.PDF3DAdvancedSetting_script_file_path
| This flag indicates the script file path.

## Detailed Description

This class represents 3D advanced setting.

## Constructor & Destructor Documentation

## ◆ PDF3DAdvancedSetting()

def FoxitPDFSDKPython3.PDF3DAdvancedSetting.PDF3DAdvancedSetting | ( |  | ) |

Constructor.

Constructor with parameter.

Constructor, with another 3D advanced setting object.

Parameters

  [in] | advanced_setting | Another 3D advanced setting object.
  [in] | background_color | The background color. Default value: 0x5e5e5e.
  [in] | lighting_scheme | The lighting scheme setting for 3D. Please refer to values starting from FoxitPDFSDKPython3.PDF3DAdvancedSetting.e_3DLightingSchemeNone and this should be one of these values.
  [in] | rendering_style | The activation rendering style setting for 3D. Please refer to values starting from FoxitPDFSDKPython3.PDF3DAdvancedSetting.e_3DRenderingStyleBoundingBox and this should be one of these values.
  [in] | animation_style | The activation animation setting for 3D. Please refer to values starting from FoxitPDFSDKPython3.PDF3DAdvancedSetting.e_3DAnimationStyleNone and this should be one of these values.
  [in] | default_views | The default views setting for 3D. Please refer to values starting from FoxitPDFSDKPython3.PDF3DAdvancedSetting.e_3DDefaultViewsNoViews and this should be one of these values.
  [in] | is_add_default_views | This flag indicates whether to add default views.
  [in] | is_retain_views_and_comments | This flag indicates whether to retain views and comments.
  [in] | is_show_tool_bar | This flag indicates whether to show tool bar.
  [in] | is_open_model_tree | This flag indicates whether to open model tree.
  [in] | script_file_path | The script file path.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.PDF3DAdvancedSetting.Set | ( |  | background_color,
|  |  | lighting_scheme,
|  |  | rendering_style,
|  |  | animation_style,
|  |  | default_views,
|  |  | is_add_default_views,
|  |  | is_retain_views_and_comments,
|  |  | is_show_tool_bar,
|  |  | is_open_model_tree,
|  |  | script_file_path
| ) |  |

Set the values.

Parameters

  [in] | background_color | The background color.Default value: 0x5e5e5e.
  [in] | lighting_scheme | The lighting scheme setting for 3D. Please refer to values starting from FoxitPDFSDKPython3.PDF3DAdvancedSetting.e_3DLightingSchemeNone and this should be one of these values.
  [in] | rendering_style | The activation rendering style setting for 3D. Please refer to values starting from FoxitPDFSDKPython3.PDF3DAdvancedSetting.e_3DRenderingStyleBoundingBox and this should be one of these values.
  [in] | animation_style | The activation animation style setting for 3D. Please refer to values starting from FoxitPDFSDKPython3.PDF3DAdvancedSetting.e_3DAnimationStyleNone and this should be one of these values.
  [in] | default_views | The default views setting for 3D. Please refer to values starting from FoxitPDFSDKPython3.PDF3DAdvancedSetting.e_3DDefaultViewsNoViews and this should be one of these values.
  [in] | is_add_default_views | This flag indicates whether to add default views.
  [in] | is_retain_views_and_comments | This flag indicates whether to retain views and comments.
  [in] | is_show_tool_bar | This flag indicates whether to show tool bar.
  [in] | is_open_model_tree | This flag indicates whether to open model tree.
  [in] | script_file_path | The script file path.

Returns
  None.